Search file-backed vault memory using simple full-text matching over content and tags.
curl --request POST \
--url https://api.case.dev/vault/{id}/memory/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"types": [
"<string>"
],
"tags": [
"<string>"
],
"limit": 10
}
'{
"results": [
{
"id": "<string>",
"type": "<string>",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Was this page helpful?
curl --request POST \
--url https://api.case.dev/vault/{id}/memory/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"types": [
"<string>"
],
"tags": [
"<string>"
],
"limit": 10
}
'{
"results": [
{
"id": "<string>",
"type": "<string>",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}